Subject: Re: bug#38715: Issue with guile-email: unbound variable
From: Ricardo Wurmus <[email-masked]>
Cc: [email-masked], Christopher Baines <[email-masked]>, [email-masked]
Date: Sun, 06 Dec 2020 13:27:35 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ricardo Wurmus <[email-masked]> writes:

> Christopher Baines <[email-masked]> writes:
>
>>> Could it be that the reference to guile-email in the version field of
>>> mumimu created this issue?
>>> --8<---------------cut here---------------start------------->8---
>>> (version (git-version (package-version guile-email) revision commit))
>>> --8<---------------cut here---------------end--------------->8---
>>
>> I also spotted this. It looks to me sort of like a copy/paste error, I'm
>> not sure why this variant of mu would take the version of the
>> guile-email package.
>
> This is a copy/paste error.  The origin of this expression is the
> guix.scm file of mumi.  Ludo then wrote a mumi service and copied the
> definition of mumimu from that guix.scm file.
>
> (package-version guile-email) is obviously wrong.  It should have been
> (package-version mu), because mumimu is a fork of mu.

I’m closing this now as mumi no longer depends on a fork of mu; instead
it uses guile-xapian with its own database.

-- 
Ricardo